
#ifndef SPECTRE_SYSTEM_STOPWATCH_H
#define SPECTRE_SYSTEM_STOPWATCH_H

#include <Spectre/Math/Time.h>

namespace sp {

class Stopwatch {
public :
	Stopwatch();

	// Restart the watch. also returns the elapsed time before
	// the watch was restarted.
	Time restart();

	// Get the elapsed time since the watch was restarted.
	Time elapsed() const;

private :

	Time m_start;
};

} // namespace sp

#endif /* SPECTRE_SYSTEM_STOPWATCH_H */
